org.activiti.engine.history

## Interface HistoricVariableInstance

- All Superinterfaces:
    HistoricData

      public interface HistoricVariableInstance
      extends HistoricData

  A single process variable containing the last value when its process instance has finished. It is only available when HISTORY_LEVEL is set >= VARIABLE
  Author:
    Christian Lipphardt (camunda), ruecker

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getCreateTime()` Returns the time when the variable was created.
    `String` | `getId()` The unique DB id
    `Date` | `getLastUpdatedTime()` Returns the time when the value of the variable was last updated.
    `String` | `getProcessInstanceId()` The process instance reference.
    `String` | `getTaskId()`
    `Object` | `getValue()`
    `String` | `getVariableName()`
    `String` | `getVariableTypeName()`

    - ### Methods inherited from interface org.activiti.engine.history.HistoricData

      `getTime`

- - ### Method Detail

    - #### getId

          String getId()

      The unique DB id

    - #### getVariableName

          String getVariableName()

    - #### getVariableTypeName

          String getVariableTypeName()

    - #### getValue

          Object getValue()

    - #### getProcessInstanceId

          String getProcessInstanceId()

      The process instance reference.

    - #### getTaskId

          String getTaskId()

      Returns:
        the task id of the task, in case this variable instance has been set locally on a task. Returns null, if this variable is not related to a task.

    - #### getCreateTime

          Date getCreateTime()

      Returns the time when the variable was created.

    - #### getLastUpdatedTime

          Date getLastUpdatedTime()

      Returns the time when the value of the variable was last updated. Note that a `HistoricVariableInstance` only contains the latest value of the variable. The actual different value and value changes are recorded in `HistoricVariableUpdate` instances, which are captured on `HistoryLevel` FULL.

Copyright © 2016 Alfresco. All rights reserved.